﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="jQueryTreeNodeTemplate._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Welcome to ASP.NET!
    </h2>
    <div class="template_holder">
    <h3>No template</h3>
    <ul id="no_templ" class="tree"></ul>
    </div>
    <div class="template_holder">
    <h3>Simple value templating</h3>
    <ul id="simple_templ" class="tree"></ul>
    </div>
    <div class="template_holder">
    <h3>Contextual value templating</h3>
    <ul id="templ" class="tree"></ul>
    </div>
    <div class="template_holder">
    <h3>Contextual value templating (animated)</h3>
    <ul id="animated_templ" class="tree"></ul>
    </div>
    <div style="float: left; clear: both;">
    <p>
        <b>Clicking on a node will reveal its value.</b>
    </p>
    </div>
    <script type="text/javascript">
        $(document).ready(function () {
            var no_template = $("#no_templ");
            var with_template = $("#templ");
            var simple_template = $("#simple_templ");
            var animated_template = $("#animated_templ");

            // examine the IDs of the elements in the Simple value templating tree.
            var simple_template_layout = "<label id='${Name.replace(\" \", \"_\")}'>${Name}: ${Value}</label>";

            var items = [
            { Person: "Bob", Info: [
                { Name: "Favorite Color", Value: "Red" },
                { Name: "Age", Value: 19 },
                { Name: "Favorite Sport", Value: "Football" }
            ]
            }];

            no_template.igTree({
                dataSourceType: "json",
                dataSource: items,
                singleBranchExpand: true,
                hotTracking: false,
                bindings: {
                    textKey: "Person",
                    childDataProperty: "Info",
                    bindings: {
                        textKey: "Name",
                        valueKey: "Value"
                    }
                }
            });

            simple_template.igTree({
                dataSourceType: "json",
                dataSource: items,
                singleBranchExpand: true,
                hotTracking: false,
                bindings: {
                    textKey: "Person",
                    valueKey: "Person",
                    childDataProperty: "Info",
                    bindings: {
                        textKey: "Name",
                        valueKey: "Value",
                        nodeContentTemplate: simple_template_layout
                    }
                }
            });

            with_template.igTree({
                dataSourceType: "json",
                dataSource: items,
                singleBranchExpand: true,
                hotTracking: false,
                bindings: {
                    textKey: "Person",
                    childDataProperty: "Info",
                    bindings: {
                        textKey: "Name",
                        valueKey: "Value",
                        nodeContentTemplate:
                        "{{if Name == 'Favorite Color'}}<label>${Name}</label>: <div class='favcolor' style='background-color: ${Value.replace(\" \", \"\")};'></div>" +
                        "{{else Name == 'Age'}} ${Name}: ${Value}" +
                        "{{else Name == 'Favorite Sport'}}<label>${Name}</label>: <img class='favsport' src='Content/icons/${Value}.png' alt='${Value}'></img>" +
                        "{{/if}}"
                    }
                }
            });

            animated_template.igTree({
                dataSourceType: "json",
                dataSource: items,
                singleBranchExpand: true,
                hotTracking: false,
                bindings: {
                    textKey: "Person",
                    childDataProperty: "Info",
                    bindings: {
                        textKey: "Name",
                        valueKey: "Value",
                        nodeContentTemplate:
                        "{{if Name == 'Favorite Color'}}<label class='desc_hover'>${Name}: </label><div class='favcolor' style='background-color: ${Value.replace(\" \", \"\")}; display: none;'></div>" +
                        "{{else Name == 'Age'}}<label class='desc_hover'>${Name}: </label><a style='display: none;'>${Value}</a>" +
                        "{{else Name == 'Favorite Sport'}}<label class='desc_hover'>${Name}: </label><img class='favsport' src='Content/icons/${Value}.png' alt='${Value}' style='display: none;'></img>" +
                        "{{/if}}"

                    }
                }
            });

            $(".tree").bind("igtreeselectionchanged", function (evt, ui) {
                var val = (ui.selectedNodes[0].data.Person == undefined) ? ui.selectedNodes[0].data.Value : ui.selectedNodes[0].data.Person;
                alert(val);
            });

            $(".desc_hover").mouseenter(function () {
                $(this).next().stop(false, true).show(200);
            });

            $(".desc_hover").mouseleave(function () {
                $(this).next().stop(false, true).hide(200);
            });

        });
    </script>
</asp:Content>
